# MDNA: Molecular DNA Structure Generation and Analysis Toolkit

## Description
MDNA is a powerful molecular modeling tool designed to bridge the gap in generating starting structures for DNA and DNA-protein complexes for molecular dynamics (MD) simulations. By leveraging rigid body models, this tool enhances the precision in representing DNA structures, allowing for the inclusion of non-canonical bases, the adjustment of Watson-Crick to Hoogsteen configurations, methylation patterns, and structural extensions. It also provides robust analytical capabilities for MD simulations, calculating geometric properties, curvature, and protein-DNA interaction profiles.

## Installation
To install MDNA use pip:
```bash
pip install mdna
```

Or if you want to install the most recent version of MDNA, follow these steps:
```bash
git clone --recurse-submodules https://github.com/heezch/mdna.git
```
After that go to the 'mdna' project folder and do:
```bash
pip install .
```

## Usage

See our [documentation page](https://heezch.github.io/mdna/)

## Contributing

We welcome contributions from the community! To contribute:

- Fork the repository.
- Create a new branch (`git checkout -b feature-branch`).
- Make your changes and commit them (`git commit -am 'Add new feature'`).
- Push to the branch (`git push origin feature-branch`).
- Create a new Pull Request.

Please ensure your code adheres to our coding standards and includes relevant tests.


## License

This project is licensed under the MIT License. See the LICENSE file for details.
