# Software module for DNA structure generation and analysis


This site contains the project documentation for the
`mdna` project that is python toolkit for the structure generation and analysis of DNA molecular dynamics simulations.
<!-- 
[Build Your Python Project Documentation With MkDocs](
    https://realpython.com/python-project-documentation-with-mkdocs/). -->

<!-- Its aim is to give you a framework to build your
project documentation using Python, MkDocs,
mkdocstrings, and the Material for MkDocs theme. -->


## Table Of Contents

<!-- The documentation follows the best practice for
project documentation as described by Daniele Procida
in the [Diátaxis documentation framework](https://diataxis.fr/)
and consists of four separate parts: -->

1. [Quick Start](tutorials/tutorials-quickstart.md)
2. [Tutorials](index-tutorials.md)
3. [Explanation](explanation/explanation.md)
4. [Jupyter Notebooks](index-notebooks.md)
5. [Modules](index-modules.md)
6. [API reference](index-api.md)

Quickly find what you're looking for depending on
your use case by looking at the different pages.

## Example Gallery
Three examples that highlight the building of biomolecular assemblies with `mdna`. Here we showcase the extension of DNA structures, using proteins as scaffold to generate DNA structure, and lastly to connect two DNA strands to form a DNA loop. Molecular representations are visualized with Mol* Viewer. 
<div class="image-gallery">
  <a href="assets/gallery/image1.png" class="glightbox">
    <img src="assets/gallery/image1.png" alt="Image 1" />
  </a>
  <a href="assets/gallery/image2.png" class="glightbox">
    <img src="assets/gallery/image2.png" alt="Image 2" />
  </a>
  <a href="assets/gallery/image3.png" class="glightbox">
    <img src="assets/gallery/image3.png" alt="Image 3" />
  </a>
</div>



<!-- ## Project Overview

::: mdna -->


## Citation

Link to the [publication](https://www.overleaf.com/project/)


## Acknowledgements

This project is supported by the NWO Klein grant.